"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var request = require("request");
var Bot = /** @class */ (function () {
    function Bot(id) {
        this.id = id;
    }
    Bot.prototype.get = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            request({
                uri: "https://proxy-api.recime.io/v1/bots/" + _this.id,
                json: true
            }, function (err, response, body) {
                if (err) {
                    return reject(err);
                }
                resolve(body);
            });
        });
    };
    return Bot;
}());
exports.Bot = Bot;
